% derivada en x e y de la carretera en el punto definido por t calculada mediante
% la frmula de dos puntos: f'(x) = (f(x+h) - f(x-h)) / 2*h
%
%   d = DERIVADA(carretera,t) devuelve la derivada de x e y respecto de t 
%    respecto al trazo de la carretera
%    d(1) = dx / dt
%    d(2) = dy / dt
function d = derivada(arg1,arg2)
    if isstruct(arg1)
        carretera = arg1;
        t = arg2;
    else
        carretera = arg2;
        t = arg1;
    end

    h = 0.001;
    d = punto_carretera(carretera,t+h) - punto_carretera(carretera,t-h);
    d = d / (2*h);
return;
