% Devuelve la longitud en Kilmetros de la carretera en un tramo dado
%
%   L = LONGITUD_CARRETERA(carretera) devuelve la longitud de toda la carretera
%
%   L = LONGITUD_CARRETERA(carretera,a,b) devuelve la longitud de la carretera desde
%     t = a hasta t = b
%     t tiene que estar comprendido entre 1 y carretera.N, que es el numero de puntos de la carretera
%
%   L = LONGITUD_CARRETERA(carretera,t0) devuelve la longitud de la carretera desde t = t0
%
function L = longitud_carretera(carretera,a,b)
    if nargin < 2
        a = 1;
    end
    if nargin < 3
        b = carretera.N;
    end
	% ver ayuda de MATLAB
    L = carretera.escala * quad(@dlong,a,b,[],[],carretera);
    
	% hay que tener en cuanta la escala?
return;
