%Programa principal de la prctica.
%
%  Pregunta al usuario qu fichero de carreteras quiere leer, la escala y el kilometraje
%  que desea hacer
%  devuelve los valores calculados
function [c,T,puntos,Iter,PASO_t] = principal

	fprintf(1,'\n+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++');
	fprintf(1,'\n+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++');
	fprintf(1,'\n               KILOMETRAJE DE UNA CARRETERA REAL');
	fprintf(1,'\n+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++');
	fprintf(1,'\n+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\n');
	fprintf(1,'\n  Indique el fichero desde que se leera el trazado de la carretera: \n');

	% mostramos todos los ficheros de carretera del directorio de trabajo
	D = dir('carretera*.mat');
	fprintf(1,'\n  Ficheros de ejemplo disponibles: \n');
	for i = 1:length(D)
		fprintf(1,'    %2d: %s\n',i,D(i).name);
	end
	
	%Leemos el fichero que desea usar el usuario
	f_num = input('   >');
	while ~isnumeric(f_num) || f_num > length(D) || f_num < 1
		fprintf(1,'\n  Introduzca un nmero de la lista: \n');
		f_num = input('   >');
	end
	
	fprintf(1,'\n  Indique la escala: nmero de kilmetros por unidad (p.e. 0.1 para 0.1 Kilmetros cada unidad)\n');
	escala = input(' >');
	while ~isnumeric(escala) || escala <= 0 
		fprintf(1,'\n  Introduzca un nmero mayor que 0. (p.e. 0.1 para 0.1 Kilmetros cada unidad:\n');
		escala = input('   >');
	end

	fprintf(1,'\n  Procesando el fichero %s\n',D(f_num).name);
	
	c = lee_carretera(D(f_num).name,escala); %inicializamos la carretera con el fichero seleccionado y la escala

	figure;
	dibuja_carretera(c,0.25); %la mostramos

	fprintf(1,'\n  Pulse enter para calcular el kilometraje\n');
	input('');

	[T,puntos,Iter,PASO_t] = kilometra_carretera(c); %ejecutamos el algoritmo de kilometraje

	tabla_kilometros(T,puntos,Iter); %resultados de la ejecucion
	
	hold on;
	dibuja_hitos(puntos); %mostramos los hitos kilomtricos calculados

return;
