%devuelve el punto de la carretera para el valor t
%   p = PUNTO_CARRETERA(carretera,t)  devuelve el punto para esa t
%    p(1) = x 
%    p(2) = y
%
%   p = PUNTO_CARRETERA(carretera,T)  donde T es un vector, devuelve el punto para cada t
%    p(:,1) contiene los respectivos valores de x
%    p(:,2) contiene los respectivos valores de y
%
%   p = PUNTO_CARRETERA(t,carretera) 
%   p = PUNTO_CARRETERA(T,carretera)
function p = punto_carretera(arg1,arg2)
    if isstruct(arg1)
        carretera = arg1;
        t = arg2;
    else
        carretera = arg2;
        t = arg1;
    end

    p(:,1) = ppval(carretera.splineX,t)';
    p(:,2) = ppval(carretera.splineY,t)';
return;


